import { ExpressStack } from './express-stack';
import { ExpressWave } from './express-wave';
export interface IExpressStage {
    /**
     * The stage identifier
     */
    id: string;
    /**
     * The wave that the stage belongs to
     */
    wave: ExpressWave;
    /**
     * The stacks in the stage
     */
    stacks: ExpressStack[];
}
/**
 * A CDK Express Pipeline Stage that belongs to an ExpressWave
 */
export declare class ExpressStage implements IExpressStage {
    id: string;
    wave: ExpressWave;
    stacks: ExpressStack[];
    /**
     * Constructs a new instance of the ExpressStage class
     * @param id The stage identifier
     * @param wave The wave that the stage belongs to
     * @param stacks The ExpressStacks in the stage
     */
    constructor(id: string, wave: ExpressWave, stacks?: ExpressStack[]);
}
